Campaigns List
List every campaign belonging to the store.
Authorization
oauth2 campaigns:readGenerate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123
In: header
Scope: campaigns:read
Query Parameters
Created on or after this date (YYYY-MM-DD, UTC).
dateCreated on or before this date (YYYY-MM-DD, UTC).
dateDefault currency, as an ISO 4217 code (e.g. USD).
The pagination cursor value.
Campaign language, as an ISO 639-1 code (e.g. en).
Campaign name contains this text, case-insensitive.
Number of results to return per page.
Last updated on or after this date (YYYY-MM-DD, UTC).
dateLast updated on or before this date (YYYY-MM-DD, UTC).
dateHeader Parameters
"2024-04-01"Value in
- "2024-04-01"
Response Body
application/json
curl -X GET "https://example.com/campaigns/" \ -H "X-29next-API-Version: 2024-04-01"{ "next": "http://example.com", "previous": "http://example.com", "results": [ { "created_at": "2019-08-24T14:15:22Z", "currency": "str", "id": 0, "language": "str", "name": "string", "updated_at": "2019-08-24T14:15:22Z" } ]}